Assigning Textures To all models in folder
@Hwodyhoody wrote: I am trying to apply a texture called metal with an environment to ~1000 models and need to write a script to do so i'm pretty new to rhino script and would like someone to point me...
View ArticleHow to pass default extension to rs.OpenFileName()?
@clement wrote: Hi all, i am not able to pass the default extension to rs.OpenFileName(). How is this done properly ? import rhinoscriptsyntax as rs nfilter = "Text (*.txt)|*.txt|STI files...
View ArticleMaterial layer name
@pandabianko wrote: Dear All,I'm trying to find a nice script for return and then print the material name I assigned to a layer . Please can anybody help me? thanks Posts: 3 Participants: 2 Read full...
View ArticlePlace block layer as parent layer of its own object
@pandabianko wrote: Anyone know how to place the block layers like child(parent) layer of its own object layer.To be more clear: I imported a set of blocks, then I placed the instances in layers named...
View ArticleLose a seam doing loft
@Dani_Abalde wrote: As seen in the picture, I'm losing a seam under this code: Private Sub RunScript(ByVal Crv As List(Of Curve), ByVal y As Object, ByRef A As Object) A = Brep.CreateFromLoft(Crv,...
View ArticleToggle all panels script
@arch wrote: I made a python script to toggle all currently open panels to mimic the behavior of Adobe products when you press the Tab key. I found that trying to this using the rhino commands...
View ArticleRedraw for rs.ObjectColor() bug
@clement wrote: Hi @Alain, rs.ObjectColor(ids, color) does not redraw the views when multiple ids are passed. For a single object id it redraws all views... -c. Posts: 1 Participants: 1 Read full topic
View ArticleRhino to python code while modeling
@rahkapete wrote: I'm having trouble finding any tutorials to this and I'm not even sure if this is possible. So what I'm trying to accomplish is this: I need to make a model of something and I need a...
View ArticleSweep Two Rail, Maintain Height
@fernandomaytorena wrote: Hi, I am trying to do a Sweep Two Rail in Grasshopper with the Maintain Height property. I've tried using the Sweep2 component, however the Maintain Height (H) property is...
View ArticleLet the user Deselect from Selection
@Willem wrote: Hi, I'm looking for a way to let a user (interactively) deselect from the current selection.So I present a selection and ask the user to deselect objects before continuing. Before I...
View ArticleCreate a dropdown menu in Rhino
@Charly wrote: Hi all, I'm working on a script that creates several parallel planes in different positions. What I would like to do is to create a dropdown list that ask me the positions where I want...
View ArticleWhat is the best way to port result/value from one script to another?
@P_Thon wrote: So I have been developing a plugin suite composed of 4 plugins which can be described as different step to obtain the final result. Basically the user run the first script (Step1),...
View ArticleCurve mathemathics: curve + gradient derivative * constant
@Thomaxo wrote: Hi there,I'm looking into finding information about OpenNurbs access with python scripting on mac.Basically what i'd have to do is this:Given a curve A, i'd like to generate another...
View ArticlePython rs.ViewProjection() missing return value
@clement wrote: @Alain, could you please extend rs python method rs.ViewProjection() with an additional return value for TwoPointPerspectiveProjection? It seems this is missing in comparison to...
View ArticleIntersection of polysurfaces
@davidr wrote: I would like to select just the part where these 3 extrusions intersect and delete everything else. I have been reading the python manual to see how I can do this and so far I think the...
View ArticleCommand Macro Help
@mcmucher wrote: Hello, I'm having a problem setting up a button macro, and I'm not sure if Rhino can do what I want. I am trying to orient an object with named/labeled reference points. My goal was...
View ArticleRunning files problems in python
@inva wrote: Hi everyone! I am working with BooleanNet1.2.7 in Ubuntu and I am trying to run the file "all-initial-states.py", but I am facing problems. I have installed Python2.7 and I think I have...
View ArticleProblem working with externally defined class
@smm wrote: Hello people of the forum! I've just started working with rhino script and am relatively new to Python (though quite experienced in other languages) I'm on a mac and developing using the...
View ArticleEto form - change icon
@Keith1634 wrote: Hi, Is it possible to change the icon in an eto form to match my plugin ? thanks,Keith Posts: 3 Participants: 2 Read full topic
View Article1. This object cannot be modified because it is controlled by a document....
@RabidSnail wrote: Im working in C# and I am trying to get the Guid of objects in block, but whenever I do I get the following error: This object cannot be modified because it is controlled by a...
View Article